package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.utils;


import cn.hutool.core.io.FileUtil;
import cn.hutool.json.JSON;
import cn.hutool.json.JSONUtil;
import com.alibaba.fastjson.JSONObject;
import org.springframework.stereotype.Component;

import java.nio.charset.Charset;
import java.util.Map;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
public class VehicleJsonHelper {
    private Map<String, String> millageObject;
    private Map<String, Integer> totalMileObject;
    private JSONObject earliestOrderMonthObject;

    public Map<String, String> getMillage() {
        if (millageObject != null) {
            return millageObject;
        }
        String filePath = "millage.json";
        JSON json = JSONUtil.readJSON(FileUtil.file(filePath), Charset.defaultCharset());
        millageObject = com.alibaba.fastjson.JSON.parseObject(json.toString(), Map.class);
        return millageObject;
    }

    public Map<String, Integer> getTotalMile() {
        if (totalMileObject != null) {
            return totalMileObject;
        }
        String filePath = "totalMile.json";
        JSON json = JSONUtil.readJSON(FileUtil.file(filePath), Charset.defaultCharset());
        totalMileObject = com.alibaba.fastjson.JSON.parseObject(json.toString(), Map.class);
        return totalMileObject;
    }

    public JSONObject getEarliestOrderMonthMap() {
        if (earliestOrderMonthObject != null) {
            return earliestOrderMonthObject;
        }
        String filePath = "earliestOrderMonth.json";
        JSON json = JSONUtil.readJSON(FileUtil.file(filePath), Charset.defaultCharset());
        earliestOrderMonthObject = com.alibaba.fastjson.JSON.parseObject(json.toString());
        return earliestOrderMonthObject;
    }
}
